Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface MembershipListener

All Known Implementing Classes:
  McastService, SimpleTcpCluster

public interface MembershipListener

The MembershipListener interface is used as a callback to the membership service. It has two methods that will notify the listener when a member has joined the cluster and when a member has disappeared (crashed)

Version:
  $Revision: 466608 $, $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Filip Hanik

Method Summary
`void` | `memberAdded(Member member)`
`void` | `memberDisappeared(Member member)`

Method Detail

### memberAdded

    public void memberAdded(Member member)

### memberDisappeared

    public void memberDisappeared(Member member)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.